Subject: Ftp-WG: d10: "path name" vs. "pathname"?

From: Stephen Head <[email-masked]>
Date: Fri, 9 Jun 2000 14:01:19 -0500

In d-10 there appears "path name" and "pathname".
For more convenient skimming/grepping, it may be beneficial
to adopt a consistent rendering of the term, and use
one or the other throughout.  (A very superficial skim of 959
turns up only "pathname", for comparison.)  A similar
comment could be made about "file name" and "filename"
as used.

Section 2. Document Conventions seems to imply that
"pathname" is the correct
rendering of the term, but (it may be just me) it is not
clear to me that there is an intent between the distinction
or if it is just an oversight of some kind.

Section 2. Document Conventions does not have "filename",
nor does RFC959. RFC 959 does have "file name".
Section 2.2.2 Wildcarding first uses the term "filename".
There are both "TVFS file name" (6.1) and "TVFS filename"
(6.1).  I am not sure but this appears to indicate
the terms "file name" and "filename" are intended to mean
the same thing (?).  If so, perhaps the same is true for
"path name" and "pathname".  But I am concerned about
making such assumptions.

(For comparison, RFC959 and d-10 appear to use
"directory name" consistently.)

On a similar note, I could not find a definition
of a "working directory" anywhere, though it is used
in both RFC959 and d-10.  [A reader might be tempted
into making the assumption that TVFS implies support
for PWD (print working directory) (but I am told
it does not).]

Are all these distinctions intentional?  It is a concern
to try to figure out just how much or how little to
read into the distinctions, especially when set next
to the intentionally vague terms like NVFS.   (If I am
off in the weeds, sorry.  If there are some valid concerns
in this, I would be happy to try to help provide something
constructive to address the concerns.)

-s

---

From: Robert Elz <[email-masked]>
Date: Mon, 12 Jun 2000 12:26:03 -0500

Date:        Fri, 9 Jun 2000 14:01:19 -0500
    From:        Stephen Head <[email-masked]>
    Message-ID:  <[email-masked]>

  | In d-10 there appears "path name" and "pathname".
[...]
  | A similar
  | comment could be made about "file name" and "filename"
  | as used.

I wouldn't have bothered with a new draft just for this, but
as a new one is coming anyway...

I have switched to "pathname" and "file name" throughout, which
is consistent with the usage in rfc959.

Any objections, speak now...

kre

ps: I have also fixed a couple of truly embarrasing typos...